Get a connection
GET /api/integrations/{id}. Get a connection. Headless LMS Integrations API reference.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/integrations/string"{ "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Connect an integration (stores its secrets encrypted) POST
POST /api/integrations. Connect an integration (stores its secrets encrypted). Headless LMS Integrations API reference.
Change a connection's configuration or active flag PATCH
PATCH /api/integrations/{id}. Change a connection's configuration or active flag. Headless LMS Integrations API reference.